Bug 858168 - calltrace during language package downloading
calltrace during language package downloading
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
17
All Linux
high Severity high
: ---
: ---
Assigned To: anish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 04:53 EDT by CAI Qian
Modified: 2015-04-12 19:12 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:02:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
experimental patch (576 bytes, patch)
2012-09-18 04:53 EDT, CAI Qian
no flags Details | Diff

  None (edit)
Description CAI Qian 2012-09-18 04:53:40 EDT
Created attachment 613901 [details]
experimental patch

Description of problem:
# system-config-language 
已加载插件:presto, refresh-packagekit
Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 179, in okClicked
    self.apply()
  File "/usr/share/system-config-language/language_gui.py", line 295, in apply
    install.install_language (self.mainWindow, grpid)                           
  File "/usr/share/system-config-language/gui_install.py", line 423, in install_language
    dlpkgs = self.downloadPackages(mainWindow)
  File "/usr/share/system-config-language/gui_install.py", line 290, in downloadPackages
    probs = self.downloadPkgs(dlpkgs)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2313, in downloadPkgs
    urlgrabber.grabber.parallel_wait()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2241, in parallel_wait
    perform()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2188, in perform
    opts.progress_obj.start(text=opts.text, now=opts._progress)
  File "/usr/lib/python2.7/site-packages/urlgrabber/progress.py", line 127, in start
    self._do_start(now)
  File "/usr/share/system-config-language/gui_install.py", line 247, in _do_start
    txt = _("Downloading %s") %(urllib2.unquote(self.basename),)
  File "/usr/lib64/python2.7/urllib.py", line 1204, in unquote
    res = s.split('%')

Version-Release number of selected component (if applicable):
system-config-language-1.3.5-12.fc18.noarch

How reproducible:
always

Steps to Reproduce:
1. select a language that need to download some packages for the language group support. For example, zh_CN.UTF-8. When it tries to download the packages, it calls  txt = _("Downloading %s") %(urllib2.unquote(self.basename),), but self.basename is None (self is gui_install.dlcb instance at 0x4dde050).

Additional info:
The following patch makes it work again. Feel free to make any chance to it if needed.
Comment 1 Fedora Update System 2012-09-20 07:26:30 EDT
system-config-language-1.3.5-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-13.fc17
Comment 2 Fedora Update System 2012-09-20 07:26:55 EDT
system-config-language-1.3.5-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-13.fc18
Comment 3 Fedora Update System 2012-09-21 19:56:34 EDT
Package system-config-language-1.3.5-13.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-language-1.3.5-13.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14443/system-config-language-1.3.5-13.fc17
then log in and leave karma (feedback).
Comment 4 Kamil Páral 2012-10-23 11:02:01 EDT
CAI, could you please explain why do you think this should block Fedora 18 release? Does it affect the installer somehow? Thanks.
Comment 5 Fedora Update System 2012-11-02 08:52:11 EDT
system-config-language-1.3.5-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-14.fc18
Comment 6 Fedora Update System 2012-11-02 08:52:46 EDT
system-config-language-1.3.5-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-14.fc17
Comment 7 Adam Williamson 2012-11-22 14:40:06 EST
The update for F18 has been pushed stable now. Changing to 17 and dropping blocker nomination.
Comment 8 Fedora Update System 2012-12-20 10:02:58 EST
system-config-language-1.3.5-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.